﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TelpoPush.WanJiaAn.Worker.Models.Enum
{
    /// <summary>
    /// 数据类型，标识发布到kafka的消息的数据类型
    /// </summary>
    public enum MqDataType : int
    {
        /// <summary>
        /// 报警消息
        /// </summary>
        AlarmInfo = 0,

        /// <summary>
        /// 温度数据信息
        /// </summary>
        TemperatureInfo = 1,

        /// <summary>
        /// 步数信息
        /// </summary>
        StepInfo = 2,

        /// <summary>
        /// 电量信息
        /// </summary>
        BatteryLevelInfo = 3,

        /// <summary>
        /// 设备配置信息
        /// </summary>
        DeviceConfigInfo = 4,

        /// <summary>
        /// 设备通话记录
        /// </summary>
        DeviceCallLog = 5,

        /// <summary>
        /// 设备短信记录
        /// </summary>
        DeviceSmsLog = 6,

        /// <summary>
        /// 位置信息
        /// </summary>
        WanJiaAnInfo = 7,

        /// <summary>
        /// 支付
        /// </summary>
        PayInfo = 8,

        /// <summary>
        /// 设备状态（offline，online）
        /// </summary>
        Status = 9,

        /// <summary>
        /// 设备激活状态（激活1，未激活0）
        /// </summary>
        Active = 10,

        /// <summary>
        /// 指令回调
        /// </summary>
        reply = 11,

        /// <summary>
        /// 天气查询
        /// </summary>
        Weather = 12,

        /// <summary>
        /// 短信阅读事件
        /// </summary>
        ReadMsg = 13,
        /// <summary>
        /// 学习能力状态上报事件
        /// </summary>
        StudyAINotifyStatusUpload = 14,
        /// <summary>
        /// 心率
        /// </summary>
        HeartRateInfo = 15,
        /// <summary>
        /// 血氧
        /// </summary>
        Spo2Info = 16,
        /// <summary>
        /// 周期性报体温数据。
        /// </summary>
        Temperature1Info = 17,
        /// <summary>
        /// 周期心率。
        /// </summary>
        HeartRate1Info = 18,
        /// <summary>
        /// 周期性血氧
        /// </summary>
        Spo21Info = 19,
        /// <summary>
        /// 溺水状态
        /// </summary>
        DrownReportInfo = 20,
        /// <summary>
        /// 手表佩戴状态
        /// </summary>
        WearStatusInfo = 21,
        /// <summary>
        /// 血压
        /// </summary>
        BloodPressInfo = 22,
        /// <summary>
        /// 周期性血压
        /// </summary>
        BloodPress1Info = 23,
        /// <summary>
        /// 心理监测
        /// </summary>
        PsychInfo = 24,

        /// <summary>
        /// AI呼叫回调结果
        /// </summary>
        AiCallResult = 25,

        /// <summary>
        /// 越界上报(围栏进出告警)
        /// </summary>
        CrossBorder = 26,

        /// <summary>
        /// 运动数据上报
        /// </summary>
        SportResult = 27,
        /// <summary>
        /// 运动数据上报
        /// </summary>
        BloodSugar = 28,

        /// <summary>
        /// 中考实时心率数据上报
        /// </summary>
        ZkRealHeartRate = 29,
        /// <summary>
        /// 绑定业务
        /// </summary>
        BindDevice = 100
    }
}
